"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Node class
 *
 * @export
 * @class Node
 */
var Node =
/**
 * Creates an instance of Node.
 *
 * @param {any} value   Node's value
 * @param {Node} [next] The next Node in the list
 */
exports.Node = function Node(value, next) {
  _classCallCheck(this, Node);

  this.value = value;
  this.next = next;
};